using BPASmartClient.Business;
using BPASmartClient.EventBus;
using BPASmartClient.Model;
using BPASmartClient.Model.冰淇淋.Enum;
using BPASmartClient.Model.咖啡机.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BPASmartClient
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.ButClose.Click += (o,e) => { this.Close(); };
            this.br.MouseLeftButtonDown += (o,e) =>
            {
                if (e.ClickCount > 1)
                {
                    if (this.WindowState == WindowState.Maximized)
                        this.WindowState = WindowState.Normal;
                    else if (this.WindowState == WindowState.Normal)
                        this.WindowState = WindowState.Maximized;
                }
                this.DragMove();
            };
            new MainConsole().Start();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            new Demo_MakeCoffeeEvent() { Id = 1 }.Publish();
            new DRCoffee_MakeCoffeeEvent() { Id = 1, DrinkCode= DrCoffeeDrinksCode.两杯意式浓缩 }.Publish();
            new DRCoffee_CoffeeCommCmdEvent() { Id = 1,CommCmd = DrCoffeeCommCmd.冲煮系统快速冲洗指令}.Publish();

        }
    }
}
